Name:           cloud-utils
Version:        0.31
Release:        %mkrel 4
License:        GPLv3
Summary:        Cloud image management utilities
Url:            https://launchpad.net/ubuntu/+source/cloud-utils
Group:          Networking/Other
Source:         https://launchpad.net/%{name}/trunk/0.31/+download/%{name}-%{version}.tar.gz
Source1:        LICENSE
Patch0:         0001-supress-partx-usage-error.patch
BuildArch:      noarch
Requires:       cloud-utils-growpart
Requires:       gawk
Requires:       e2fsprogs
Requires:       file
Requires:       python3
Requires:       qemu-img
Requires:       util-linux

%description
This package provides a useful set of utilities for managing cloud
images.

The euca2ools package (a dependency of cloud-utils) provides an Amazon
EC2 API compatible set of utilities for bundling kernels, ramdisks,
and root filesystems, and uploading them to either EC2 or UEC.

The tasks associated with image bundling are often tedious and
repetitive.  The cloud-utils package provides several scripts
that wrap the complicated tasks with a much simpler interface.

%package growpart
Summary: Script for growing a partition
Group:          Networking/Other

Requires:       gawk
# gdisk is only required for resizing GPT partitions and depends on libicu
# (25MB). We don't make this a hard requirement to save some space in non-GPT
# systems.
#Requires:      gdisk
Requires:       util-linux

%description growpart
This package provides the growpart script for growing a partition. It is
primarily used in cloud images in conjunction with the dracut-modules-growroot
package to grow the root partition on first boot.

#--------------------------------------------------------------------

%prep
%setup -q

%build

%install
cp %{SOURCE1} LICENSE
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

cp bin/* %{buildroot}%{_bindir}/
cp man/* %{buildroot}%{_mandir}/man1/

rm -f %{buildroot}%{_bindir}/*ubuntu*

# Install the growpart binary and man page
cp bin/growpart %{buildroot}%{_bindir}/
cp man/growpart.* %{buildroot}%{_mandir}/man1/

%files
%doc ChangeLog LICENSE
%{_bindir}/cloud-localds
%{_bindir}/cloud-publish-tarball
%{_bindir}/write-mime-multipart
%{_bindir}/cloud-publish-image
%{_bindir}/ec2metadata
%{_bindir}/mount-image-callback
%{_bindir}/resize-part-image
%{_bindir}/vcs-run
%{_mandir}/man1/cloud-localds.1*
%{_mandir}/man1/cloud-publish-image.*
%{_mandir}/man1/cloud-publish-tarball.*
%{_mandir}/man1/cloud-run-instances.*
%{_mandir}/man1/resize-part-image.*
%{_mandir}/man1/write-mime-multipart.*

# Files for the growpart subpackage
%files growpart
%doc ChangeLog LICENSE
%{_bindir}/growpart
%{_mandir}/man1/growpart.*


%changelog
* Sun Aug 16 2020 neoclust <neoclust> 0.31-4.mga8
+ Revision: 1614238
- Remove euca2ools as requires

* Sun Feb 16 2020 umeabot <umeabot> 0.31-3.mga8
+ Revision: 1536668
- Mageia 8 Mass Rebuild

* Mon Oct 21 2019 daviddavid <daviddavid> 0.31-2.mga8
+ Revision: 1454877
- requires python3 instead of python2
- drop python2-paramiko dependency (no longer required)

* Fri Jan 04 2019 daviddavid <daviddavid> 0.31-1.mga7
+ Revision: 1349106
- new version: 0.31

* Thu Sep 20 2018 umeabot <umeabot> 0.30-2.mga7
+ Revision: 1277807
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 0.30-1.mga7
+ Revision: 1220871
- new version: 0.30

* Tue Feb 02 2016 umeabot <umeabot> 0.27-6.mga6
+ Revision: 931107
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.27-5.mga5
+ Revision: 742326
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.27-4.mga5
+ Revision: 678433
- Mageia 5 Mass Rebuild

* Tue Nov 26 2013 joequant <joequant> 0.27-3.mga5
+ Revision: 553557
- fix group
- sync with Fedora.  Split out growpart

* Sat Oct 19 2013 umeabot <umeabot> 0.27-2.mga4
+ Revision: 531217
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 0.27-1.mga4
+ Revision: 462571
- new version 0.27

* Fri Jan 11 2013 umeabot <umeabot> 0.19-3.mga3
+ Revision: 347913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.19-2.mga3
+ Revision: 313186
- imported package cloud-utils


* Thu Jun 09 2011 Antoine Ginies <aginies@mandriva.com> 0.19-2mdv2011.0
+ Revision: 683343
- remove badrequires on licences
- fix group
- import cloud-utils


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.19
- first release for Mandriva based on OpenSUSE SRPM
